1. Home
  2. Documentation
  3. wpForo Installation
  4. Server Requirements

Server Requirements

To run wpForo we recommend your host supports:

  • PHP version 5.4 or greater
    • PHP DateTime Class
    • PHP Limits (recommended)
      • memory_limit = 256M
      • upload_max_filesize = 128M
      • post_max_size = 128M
      • max_execution_time = 180
      • max_input_vars = 10000
    • PHP Multibit String Functions
      • mbstring.language = all
      • mbstring.internal_encoding = UTF-8
      • mbstring.http_input = auto
      • mbstring.http_output = UTF-8
      • mbstring.encoding_translation = On
      • mbstring.detect_order = UTF-8
      • mbstring.substitute_character = none;
      • mbstring.func_overload = 0
      • mbstring.strict_encoding = Off
  • MySQL version 5.6 or greater
    • InnoDB support (recommended)
  • Apache

That’s really it. We recommend Apache or Nginx as the most robust and featureful server for running wpForo, but any server that supports PHP and MySQL will do. That said, we can’t test every possible environment and each of the hosts on our hosting page supports the above and more with no problems.

Note: If you are in a legacy environment where you only have older PHP or MySQL versions, wpForo also works with PHP 5.2.4+ and MySQL 5.0+, but these versions have reached official End Of Life and as such may expose your site to security vulnerabilities.

Was this article helpful to you? Yes 1 No

Please let us know the issue.
Thank you!